<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PINJAMAN BELUM LUNAS</h4>
        </div>
        <div class="card-body">
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" (change)="doGetListPinjaman()" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" (change)="doGetListPinjaman()" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Perusahaan </label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Pencarian </label>
                  <div class="controls">
                    <div class="input-group">
                      <input id="appendedInputButton" (keyup.enter)="doGetListPinjaman()" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">
                      <span class="input-group-append">
                    <button class="btn btn-success" type="button"><i class="fa fa-search"></i> Cari </button>
                  </span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listPinjaman | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center" style="width: 1%">#</th>
                <!--<th class="text-center">ID Ajuan</th>-->
                <th class="text-center" style="width: 5%" (click)="sort('tanggalPinjaman')">Tgl. Pinjaman
                  <i class="fa" [ngClass]="{'fa-sort': column != 'tanggalPinjaman',
                                    'fa-sort-asc': (column == 'tanggalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('nama')">Anggota
                  <i class="fa" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('tipePengajuan')">Jenis
                  <i class="fa" [ngClass]="{'fa-sort': column != 'tipePengajuan',
                                    'fa-sort-asc': (column == 'tipePengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tipePengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('nominalAngsuran')">Jumlah
                  <i class="fa" [ngClass]="{'fa-sort': column != 'nominalAngsuran',
                                    'fa-sort-asc': (column == 'nominalAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'nominalAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('lamaAngsuran')">Bulan
                  <i class="fa" [ngClass]="{'fa-sort': column != 'lamaAngsuran',
                                    'fa-sort-asc': (column == 'lamaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'lamaAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 10%" (click)="sort('keterangan')">Keterangan
                  <i class="fa" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 3%" (click)="sort('statusPengajuan')">Status
                  <i class="fa" [ngClass]="{'fa-sort': column != 'statusPengajuan',
                                    'fa-sort-asc': (column == 'statusPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'statusPengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listPinjaman || listPinjaman.length===0">
              <tr>
                <td colspan="9" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listPinjaman | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <!--<td>{{data.kodePengajuan}}</td>-->
                <td>{{data.tanggalPengajuan | date: 'dd MMM yyyy'}}</td>
                <td><a href="javascript:void();" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}</td>
                <td>{{ data.tipePengajuan }}
                  <div *ngIf="data.tipePengajuan==='Barang'">({{data.namaBarang}})</div>
                </td>
                <td>{{ data.nominalPinjaman | number}}</td>
                <td>{{ data.lamaAngsuran }} Bulan</td>
                <td>{{ data.keterangan }}</td>
                <td>{{ data.statusPinjaman }}</td>
                <td>
                  <!--<button *ngIf="dataUser.role==='ADM'" [disabled]="data.statusPengajuan==='Lunas'" class="btn btn-success btn-sm ml-1" (click)="setSelectedPinjaman(data); setDataAngsuran(); confirmBayarModal.show()"><i class="fa fa-money"></i> Bayar</button>-->
                  <button class="btn btn-success btn-sm"  (click)="gotoListAngsuran(data.nomorPinjaman, data.nama);"><i class="fa fa-list"></i> Angsuran</button>
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listPinjaman.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="confirmModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin {{modalTitle}} pengajuan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmBayarModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmBayarModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi Pembayaran</h4>
        <button type="button" class="close" (click)="confirmBayarModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Angsuran Ke</label>
                <div class="input-group">
                  <select class="form-control" formControlName="angsuranKe">
                    <option value="" disabled>Pilih Angsuran Ke</option>
                    <option *ngFor="let row of listLamaAngsuran" value="{{row}}">Angsuran Ke-{{row}}</option>
                  </select>
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nominal Angsuran</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalAngsuran.value}}"
                         placeholder="Nominal Angsuran" formControlName="nominalAngsuran">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Total Bayar</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.totalBayar.value}}"
                         placeholder="Total Bayar" formControlName="totalBayar">
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmBayarModal.hide()">Batal</button>
        <button type="button" class="btn btn-success" (click)="confirmBayarModal.hide(); submitAngsuran()">
          <i class="fa fa-save"></i> Simpan</button>
      </div>
    </div>
  </div>
</div>
